GNU bug report logs - #23639
Half bug

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: Alexandre Sanches <alexandre.sanches@HIDDEN>; Keywords: moreinfo; merged with #24807; dated Sat, 28 May 2016 17:31:01 UTC; Maintainer for automake is bug-automake@HIDDEN.
Merged 23639 24807. Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 May 2016 17:30:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 13:30:42 2016
Received: from localhost ([127.0.0.1]:45003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b6i4M-0008UF-JV
	for submit <at> debbugs.gnu.org; Sat, 28 May 2016 13:30:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39325)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexandre.sanches@HIDDEN>)
 id 1b6gaT-0006Kd-7N
 for submit <at> debbugs.gnu.org; Sat, 28 May 2016 11:55:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alexandre.sanches@HIDDEN>)
 id 1b6gaM-0006zX-U3
 for submit <at> debbugs.gnu.org; Sat, 28 May 2016 11:55:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41627)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alexandre.sanches@HIDDEN>)
 id 1b6gaM-0006zI-QU
 for submit <at> debbugs.gnu.org; Sat, 28 May 2016 11:55:34 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58512)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alexandre.sanches@HIDDEN>)
 id 1b6gaH-0003d0-F5
 for bug-automake@HIDDEN; Sat, 28 May 2016 11:55:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alexandre.sanches@HIDDEN>)
 id 1b6gaD-0006yB-HM
 for bug-automake@HIDDEN; Sat, 28 May 2016 11:55:29 -0400
Received: from mail.openmailbox.org ([62.4.1.34]:41963)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alexandre.sanches@HIDDEN>)
 id 1b6gaD-0006x3-7y
 for bug-automake@HIDDEN; Sat, 28 May 2016 11:55:25 -0400
Received: by mail.openmailbox.org (Postfix, from userid 20002)
 id 6A07C203E33; Sat, 28 May 2016 17:55:11 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=openmailbox.org;
 s=openmailbox; t=1464450911;
 bh=mBJEWzHiwhD3jXTZbqSQCYBUSDKfvLNkwshKIKQjAlw=;
 h=To:From:Subject:Date:From;
 b=0fT/PxrDmKhfMztBTb3Rd9YdtVkTcgsGANTVfacsIBWjD8GqlXiF3MA8gg0TRSsE7
 cmL2Ab5Z7hAiE7z/BUr5sz9RhOKekKp0JTwZ28snA0SnaedmsEppmRhwDfAZPZlVtP
 ChoOkWGQhsCaQVn7mSoKb386d8dj0p0jBf+Emwl4=
To: bug-automake@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=openmailbox.org;
 s=openmailbox; t=1464450901;
 bh=mBJEWzHiwhD3jXTZbqSQCYBUSDKfvLNkwshKIKQjAlw=;
 h=To:From:Subject:Date:From;
 b=nlz6e5KmYWzChTTfBMSFPf+O1NMlWYAyQHk9c+Dc0Itq5zfVHFihszG3eyRLVuCmy
 cV+/OHG712/0eThsBdj7ZR+n5897ZT5mRkhjVChwpVEQlj4DewcFCVvnQaZdK46Jj8
 bhHcUtre1LBoDnsVDkT/TRITGauJOUgwvkWnUTBw=
From: Alexandre Sanches <alexandre.sanches@HIDDEN>
Subject: Half bug
Message-ID: <f536475a-f2aa-b1f3-a4d6-6a0c5db0280c@HIDDEN>
Date: Sat, 28 May 2016 15:49:14 +0000
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------506728F6DDD0EDDD65BF3631"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 28 May 2016 13:30:37 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.
--------------506728F6DDD0EDDD65BF3631
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

alex@ursula ~/devel/test $ ls
configure.ac  include  m4  Makefile.am  src
alex@ursula ~/devel/test $ autoreconf -fi
aclocal-1.15: installing 'm4/ax_cxx_compile_stdcxx.m4' from
'/usr/share/aclocal/ax_cxx_compile_stdcxx.m4'
aclocal-1.15: installing 'm4/ax_cxx_compile_stdcxx_14.m4' from
'/usr/share/aclocal/ax_cxx_compile_stdcxx_14.m4'
aclocal-1.15: installing 'm4/ax_require_defined.m4' from
'/usr/share/aclocal/ax_require_defined.m4'
aclocal-1.15: error: too many loops
aclocal-1.15: Please contact <bug-automake@HIDDEN>.
 at /usr/share/automake-1.15/Automake/Channels.pm line 662.
	Automake::Channels::msg("automake", "", "too many loops") called at
/usr/share/automake-1.15/Automake/ChannelDefs.pm line 212
	Automake::ChannelDefs::prog_error("too many loops") called at
/usr/bin/aclocal-1.15 line 1188
autoreconf-2.69: aclocal failed with exit status: 255
alex@ursula ~/devel/test $ autoreconf -fi
configure.ac:8: installing 'build-aux/install-sh'
configure.ac:8: installing 'build-aux/missing'
Makefile.am: installing 'build-aux/depcomp'
alex@ursula ~/devel/test $

*********

Absolutely not a critical one, but first run of autoreconf fails when I
use AX_CXX_COMPILE_STDCXX_14 macro from autoconf-archive (version
2016.03.20-r1 installed via portage on Gentoo), and only when I use it.
Second run immediately after it just works.

The message says "please contact...", so I did.

--------------506728F6DDD0EDDD65BF3631
Content-Type: application/gzip;
 name="halfbug.tar.gz"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="halfbug.tar.gz"

H4sIALO7SVcAA+2XbWubUBSA87X+igvrB0OnVaORMQZzahKpRucLC7gixpjUzWjQCFnH/vvu
VZMmsK2UzrDR+3zJfTsvucdzjkZ5tkxWVRHTYdTrCAYy5Hn0y4oCU8/ZZl4jMnyP5USOGwwE
RuB6DMtx7LAHmK4cOqYqt2EBQC9M492fz8VFeQ6HzoskB5at2upH0ufo4ZvbPgFXtKnmkv5d
mC7n1er2NfAZmqFZNEC3FGYL+LiUYRbdxeX7fBNn6zBJ5/mOzotVo0A2pyNtHEjeLFA0m/Tn
VZIuqLDanWw7tlzvlkV0DVVkdLTZnByYqJKi2g7pJ1mUVov4OqqfVvru5JQhybbZ2FnzJzsj
TVehtBF+jZdJGqM9o/5z0DPXNKQblfRZmhXAMi/iZJWBspovkoLK51/iaFuCRVJuqd09yHKq
Hq7ukw2gPoVp2pjRpemY9OWrq2Y6nnqBY3q2rBL1tZrjQJ7NCGmGfqBPhgX9CRxXQVOWR844
cGXqBrZXO/otLqEm4pV1AyUnqnwTGKbSbE0kW1FUy0FBAACdgiZMz7U8l3hO/Pc3+7eep19R
57gg/Db/IYf851iU/ywsBD0gdOnUnhee/2u+09DXPD3+DMcLOP7nYF8b6XDdmY3H+j8viof4
sxyP8l8UB7j/nwNJ1k1Z0gPJGOnS2AHvAKWBNQ8oKsngzaQpHMHuGMUEaleKOpI83W27XKDO
XCiA2jZBzJOsbnm2ZCAt7csDQbSDVgRtfSYujjt+rRh2xAf7l+Q23wTwDOzF/eu2Q9WnLOtw
ql0G+1eCB0tHui7JI919ON230UBulg5CunIi006RiO7q2gdt6uon8nANSj+r9f4ToEh0beMJ
9Z8fiHX9FzgO1/9zcJyJXdl4rP4zAw7GfyjC8AsDjkXffyyPv//OQpJtAYo/2QffiYsi3lZF
Bpi3xI//v7RhMBgMBoPBYDAYDAaDwWAwGAwG82L5CTG1SVMAKAAA
--------------506728F6DDD0EDDD65BF3631--




Acknowledgement sent to Alexandre Sanches <alexandre.sanches@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#23639; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Jul 2017 10:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.